Subject: Re: bug#10721: 24.0.93; M-TAB for :type (file :must-match t) in Customize

From: Stefan Monnier <[email-masked]>
Date: Mon, 06 Feb 2012 16:01:15 -0500

>> Sounds odd.  Could you include a recipe?
> 1. See also bug #8397.

It doesn't seem directly relevant.

> 2. emacs -Q
> M-x customize-face font-lock-comment-delimiter-face
> Delete the text in the Face: field.
> Type c in that field.
> M-TAB ; you see the completions for `c'

Indeed, I see completions starting with "c".

> Type u in that field, so you have `cu', with point after the `u'.
> M-TAB ; you see all completions for all faces, not the faces that start with
> `cu' or that have substring `cu'.

No, I see completions starting with "cu".
We must be doing something different, but I don't know what.  I typed:
% emacs -Q
M-x customize-face RET font-lock-comment-delimiter-face RET
click on "font-lock-comment-face"
C-a C-k
c M-TAB u M-TAB

        Stefan